@import "../../../styles/colors.scss";

.Basket {
  &_Wrapper {
    position: absolute;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba($color: $color-black, $alpha: 0.5);
    backdrop-filter: blur(5px);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
  }

  &_Content {
    background-color: $color-white;
    padding: 20px;
    border-radius: 5px;
    &_Header {
      display: flex;
      flex-direction: row;
      border-bottom: 1px solid $color-black;
      & p {
        font-size: 14px;
        text-align: left;
        &:nth-child(1) {
          width: 350px;
        }
        &:nth-child(2) {
          width: 50px;
        }
        &:nth-child(3) {
          width: 100px;
        }
        &:nth-child(4) {
          width: 100px;
        }
      }
    }
    &_Order {
      display: flex;
      flex-direction: row;
      border-bottom: 1px solid rgba($color: $color-black, $alpha: 0.5);
      padding-top: 10px;
      margin-bottom: 10px;
      & p {
        font-size: 14px;
        text-align: left;
        &:nth-child(1) {
          width: 350px;
        }
        &:nth-child(2) {
          width: 50px;
        }
        &:nth-child(3) {
          width: 100px;
        }
        &:nth-child(4) {
          width: 100px;
          font-weight: bold;
        }
      }
    }
    &_Total {
      display: flex;
      flex-direction: row;
      justify-content: flex-end;
      align-items: center;
      & p {
        font-size: 18px;
        & span {
          font-weight: bold;
        }
      }
      & button {
        background-color: $color-blue;
        color: $color-white;
        border: none;
        outline: none;
        font-size: 14px;
        font-weight: bold;
        padding: 5px 20px;
        margin-left: 20px;
        border-radius: 5px;
      }
    }
  }
}
